<!DOCTYPE html>
<html lang="en">
<head>
	<title>Tradespace - A Global Money Platform </title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<link href="/css/style.css" rel="stylesheet">
	<!-- Favicons -->
	<link href="/img/favicon.png" rel="icon">
	<link rel="apple-touch-icon" sizes="180x180" href="/img/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/img/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/img/favicon-16x16.png">
</head>
<body>
	<section class="h-100">
		<div class="container h-100">
			<div class="row justify-content-center h-100">
				<div class="col-xxl-5 col-xl-6 col-lg-8 col-md-9 col-sm-12 col-xs-12 col-12">
					<div class="text-center">
						<img src="/img/header2.png" alt="" class="w-50">
					</div>
					<div class="cardshadow-lg">
						<div class="card-body px-3 pb-3 pt-4">
							<div class="container">
								<div class="row">
									<div class="col">
										<h2 class="fs-5 card-title fw-bold mb-4">Password Reset!</h2>
						
										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">Temporary Password</label>
													<input id="tempPass" type="password" class="form-control" name="tempPass" required>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">New Password</label>
													<input id="newPass" type="password" class="form-control">
													<span class="form-text">Password Requirements</span>
													<ul class="form-text">
														<li>Minimum 8 characters and maximum of 32 long</li>
														<li>At least one number</li>
														<li>At least one UPPER and lowercase letter</li>
														<li>One special character. Eg. <code>!@#$%^&*()-_+=</code></li>
													</ul>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">Confirm New Password</label>
													<input id="confirmNewPass" type="password" class="form-control">
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3 d-flex justify-content-center">
													<button class="btn btn-primary btn-lg w-100" id="restPasswdBtn">Reset Password</button>
												</div>
											</div>
										</div>

									</div>
								</div>
							</div>
						</div>

						<div class="text-center my-5 text-muted">
							Copyright &copy; 2023 &mdash; Tradespace<br>
							INFO 4190-4290 S10 Summer 2023
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<div class="modal fade" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="errorModalLabel"></h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<i id='errorModalError' class="fa-solid fa-triangle-exclamation text-danger my-5 text-center d-none" style="font-size: 3rem"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="processingModal" tabindex="-1" aria-labelledby="processingModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
                <div class="modal-header">
					<h5 class="modal-title" id="processingModalLabel">Processing. Please wait.</h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<div id='processingModalSpinner' class="spinner-border text-primary my-5 text-center d-none" role="status" style="width: 3rem; height: 3rem;"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
	<script src="/js/recovery.js"></script>

</body>
</html>